
#include <stdio.h>
#include <stdlib.h>

#include "UDP.H"


struct ANSWER
{
 unsigned long matricola;
 unsigned long lettura;
};


int main(int argc, char* argv[])
{
 unsigned long ip_address;
 unsigned short udp_port;
 struct ANSWER answer;
 unsigned long codice;

 if (argc < 2)
   {
    printf("Deve essere fornito il numero di matricola!\r\n");
    return -1;
   }
 if (UDP_init(23365) < 0)
   { 
    printf("Errore inizializzazione socket!\r\n");
    return -1;
   }
 
 answer.matricola = (unsigned long)atoi(argv[1]);
 
 while (1)
      {
       if ((UDP_receive(&ip_address, &udp_port, (unsigned char*)(&codice), sizeof(unsigned long))) == sizeof(unsigned long))
         {
          printf("Risposta a comando di lettura per codice area %lu\r\n", codice);
          answer.lettura = (unsigned long)(rand());
          UDP_send(ip_address, udp_port, (unsigned char*)(&answer), sizeof(struct ANSWER));
         }
      }
 UDP_close();
 return 0;
}

