
// informazioni relative a un prodotto
struct PRODUCT {
 char code[16];
 char description[32];
 float price;
};

class Products
{
 private:
    
    PRODUCT *products;
    int product_number;
    
 public:
    
    // costruttore
    // alloca il vettore dei prodotti e carica da file l'elenco dei prodotti
    Products(const char filename[]);
        
    // distruttore
    ~Products(void);
    
    // numero prodotti
    int getProductNumber(void);
        
    // ricerca delle informazioni di prodotto relative a un codice
    // restituisce TRUE in caso di successo, FALSE altrimenti
    bool findProduct(char code[], PRODUCT* product);
};
