#include <stdio.h>
#include <string.h>

#include "UDP.H"

int main(void)
{
 unsigned char buffer[1024];
 unsigned long ip_address;
 unsigned short port_number;
 int n; 

 // inizializzazione socket con porta UDP numero 12345
 if (UDP_init(12345) < 0)
   {
    printf("Errore inizializzazione socket!\r\n");
    return -1;
   }
 
 while (1)
      {
       // verifica ricezione datagram
       if ((n = UDP_receive(&ip_address, &port_number,
                            buffer, sizeof(buffer))) > 0)
         {
          // ritrasmissione datagram ricevuto al programma che lo inviato 
          UDP_send(ip_address, port_number, buffer, n);
         }
      }
 UDP_close();
 return 0;
}
